﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FollowPath : MonoBehaviour
{

    UnityEngine.AI.NavMeshAgent _nmAgent;
    Animator _anim;

    [Header("Velocidad")]
    [Range(0.0f, 5.0f)]
    public float minSpeed;

    // Start is called before the first frame update
    void Start()
    {
        _nmAgent = this.GetComponent<UnityEngine.AI.NavMeshAgent>();
        _anim = this.GetComponent<Animator>();
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetMouseButton(0))
        {
            //Vector3 v3 = new Vector3(Input.mousePosition.x, 0, Input.mousePosition.z);
            //_nmAgent.SetDestination(v3);
            SetDestinationToMousePosition();
        }
        
        //_anim.SetFloat("multiplicador", _nmAgent.velocity.magnitude);
    }
    void SetDestinationToMousePosition()
    {
        RaycastHit hit;
        Ray ray = Camera.main.ScreenPointToRay(Input.mousePosition);
        if (Physics.Raycast(ray, out hit))
        {
            _nmAgent.SetDestination(hit.point);
        }
    }
}
